{
  lib,
  pkgs,
  ...
}: {
  boot.loader = {
    limine = {
      enable = true;
      efiSupport = true;
      biosSupport = true;
      biosDevice = "/dev/nvme1n1";
      maxGenerations = 10;
      style.wallpapers = [
        pkgs.nixos-artwork.wallpapers.simple-dark-gray-bootloader.gnomeFilePath
      ];
    };

    grub.enable = lib.mkForce false;
    systemd-boot.enable = lib.mkForce false;
  };
}
